from django.conf.urls.defaults import *

urlpatterns = patterns('',
	# Example:
	# (r'^simono/', include('simono.foo.urls')),
	(r'^games/$', 'simono.rtsimple.views.index'),
	(r'^games/login/$', 'simono.rtsimple.views.login'),
	(r'^games/logout/$', 'simono.rtsimple.views.logout'),
	(r'^games/join/(?P<gameid>\d+)/$', 'simono.rtsimple.views.join'),
	(r'^games/loadmap/(?P<gameid>\d+)/$', 'simono.rtsimple.views.loadmap'),
	(r'^games/div_gamelist/$', 'simono.rtsimple.views.div_gamelist'),
	(r'^games/div_playerlist/$', 'simono.rtsimple.views.div_playerlist'),
	(r'^games/div_chatlist/$', 'simono.rtsimple.views.div_chatlist'),
	(r'^games/chat/$', 'simono.rtsimple.views.chat'),
	(r'^games/div_managegame/$', 'simono.rtsimple.views.div_managegame'),
	(r'^games/run/(?P<gameid>\d+)/(?P<playerid>\d+)/$', 'simono.rtsimple.views.rungame'),
	(r'^games/tick/(?P<gameid>\d+)/(?P<playerid>\d+)/$', 'simono.rtsimple.views.tick'),
	(r'^games/getaliveunits/(?P<gameid>\d+)/$', 'simono.rtsimple.views.getaliveunits'),
	(r'^games/createunit/(?P<unitid>\d+)/$', 'simono.rtsimple.views.createunit'),
	(r'^games/gamestate/(?P<gameid>\d+)/$', 'simono.rtsimple.views.gamestate'),
	(r'^games/moverequest/(?P<gameid>\d+)/(?P<unitid>\d+)/(?P<tilex>\d+)/(?P<tiley>\d+)/$', 'simono.rtsimple.views.moverequest'),
	(r'^games/attackrequest/(?P<gameid>\d+)/(?P<unitid>\d+)/(?P<targetid>\d+)/$', 'simono.rtsimple.views.attackrequest'),
	(r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': '/home/simon/pyweek5/trunk/simono/static'}),
	# Uncomment this for admin:
	 (r'^admin/', include('django.contrib.admin.urls')),
)
